Subject: Re: bug#1458: 23.0.60; mouse-posn-property: Args out of range

From: Chong Yidong <[email-masked]>
Date: Tue, 02 Dec 2008 11:39:11 -0500

Stefan Monnier <[email-masked]> writes:

> You patch to timer_check doesn't seem right: it may cause the
> current-buffer to be changed even if the timer doesn't do anything, just
> because the current-buffer before running the timer wasn't the
> selected-window's buffer.  It causes no end of trouble in Gnus
> (e.g. when connecting to an IMAP server, it calls read-passwd during
> which calls to read-event can run timers, so we start read-passwd in
> the IMAP process's buffer and we finish it in the *Group* buffer or
> which ever buffer is currently displayed, after which
> send-process-string fails because it can't find the process).

I see.  The change is reverted.

Now I'm not certain how to deal with the problem described in bug#1458.
Perhaps we should make the selected window's buffer current only if the
selected window's buffer was current before running the timer.  WDYT?